Loading...
Searching...
No Matches
pcl::PointWithViewpoint Struct Reference
Module common

A point structure representing Euclidean xyz coordinates together with the viewpoint from which it was seen. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointWithViewpoint:

## Public Member Functions

constexpr | PointWithViewpoint (const _PointWithViewpoint &p)
constexpr | PointWithViewpoint ()
constexpr | PointWithViewpoint (float _x, float _y, float _z)
constexpr | PointWithViewpoint (float _x, float _y, float _z, float _vp_x, float _vp_y, float _vp_z)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointWithViewpoint &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointWithViewpoint
union { |
struct { |
float vp_x |
float vp_y |
float vp_z |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

A point structure representing Euclidean xyz coordinates together with the viewpoint from which it was seen.

Definition at line 1119 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointWithViewpoint() [1/4]

constexpr pcl::PointWithViewpoint::PointWithViewpoint | ( | const _PointWithViewpoint & | p | ) |

inline constexpr

Definition at line 1121 of file point_types.hpp.

## PointWithViewpoint() [2/4]

constexpr pcl::PointWithViewpoint::PointWithViewpoint | ( |  | ) |

inline constexpr

Definition at line 1123 of file point_types.hpp.

## PointWithViewpoint() [3/4]

constexpr pcl::PointWithViewpoint::PointWithViewpoint | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline constexpr

Definition at line 1125 of file point_types.hpp.

## PointWithViewpoint() [4/4]

constexpr pcl::PointWithViewpoint::PointWithViewpoint | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _vp_x,
|  | float | _vp_y,
|  | float | _vp_z
| ) |  |

inline constexpr

Definition at line 1127 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointWithViewpoint & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp